> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1panelauthtotpconfirm

> Activates the second factor and returns the recovery codes exactly once.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml post /v1/panel/auth/totp/confirm
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/auth/totp/confirm:
    post:
      tags:
        - panel
      description: Activates the second factor and returns the recovery codes exactly once.
      operationId: confirmPanelTotpEnrolment
      parameters:
        - $ref: '#/components/parameters/CSRFToken'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChallengeInput'
      responses:
        '200':
          description: Two-factor enabled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecoveryCodes'
        '409':
          $ref: '#/components/responses/Problem'
        '422':
          $ref: '#/components/responses/Problem'
components:
  parameters:
    CSRFToken:
      in: header
      name: X-CSRF-Token
      required: true
      description: >-
        Echoes the token from the current session. Required on every unsafe
        method.
      schema:
        type: string
  schemas:
    ChallengeInput:
      type: object
      additionalProperties: false
      required:
        - code
      properties:
        code:
          type: string
          description: A TOTP code or a single-use recovery code.
    RecoveryCodes:
      type: object
      required:
        - recoveryCodes
      properties:
        recoveryCodes:
          type: array
          items:
            type: string
          description: Returned exactly once. Only digests are stored.
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.